Subject: Re: [PATCH 4/4] doc add: renormalize is not idempotent for CRCRLF

From: Junio C Hamano <[email-masked]>
Date: Sun, 10 Jul 2022 15:04:31 -0700

Philip Oakley <[email-masked]> writes:

>>> +	This option implies `-u`. Lone CR characters are untouched, so
>>> +	cleaning *^* not idempotent. A CRCRLF sequence cleans to CRLF.
>> Lack of verb BE somewhere. 
> '^' It took me three re-reads to see my mistyping as my head knew what
> I'd meant to write, I've marked above as a note to self.
> Aside: Are there any guides / suggestions / how-to's for on-line
> reviewing that you can recommend o

Sorry, but I do not know of any good "trick" to fight against our
common tendency to easily miss trivial typoes and thinkos in what we
ourselves wrote.  We can be surprisingly blind to what a colleague
can spot immediately, and that is why it helps to have a thorough
read-through by a reviewer with fresh eyes.  When I was a more
prolific contributor, I sometimes tried to read aloud what I wrote
to myself, both docs and code, and caught silly mistakes before
sending them out to the list, but I do not recommend it to others.